commit:     f107b4f078225a5dc60a70205079541631cd016a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  7 04:39:51 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Aug  7 04:39:51 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f107b4f0

dev-ruby/pkg-config: add 1.2.4

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ruby/pkg-config/Manifest                |  1 +
 dev-ruby/pkg-config/pkg-config-1.2.4.ebuild | 33 +++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/pkg-config/Manifest b/dev-ruby/pkg-config/Manifest
index d21f27a0932..8382454d789 100644
--- a/dev-ruby/pkg-config/Manifest
+++ b/dev-ruby/pkg-config/Manifest
@@ -3,3 +3,4 @@ DIST pkg-config-1.1.9.gem 19456 SHA256 
7a0e8b9b99bb6bd1c816d19d3507bffe68116bc2e
 DIST pkg-config-1.2.0.gem 19968 SHA256 
8fa0d9870bcefc13fe1526f80567b21eadd35989330e553b54a48c699b70743a SHA512 
b4bd1b7be6cabc4413ada62c78d8434ab77e27e7a5fcf671f623907a95b7f33cd8d331013cc73b5e8f7dfe24eef738ca047ed229c286aa392c8070892ccb3c20
 WHIRLPOOL 
440edd604e243640edda3b35b1daf5a5d77139e71d5a2a16f012d272644e9addfca0b23e9e5778ed812fbcfd1c6a1d12682d13418a6a704ceea8884de114e656
 DIST pkg-config-1.2.2.gem 19968 SHA256 
7b76a116979fc5e721cc875c474480395acf07bc2abf4db16378f9a717e29ed2 SHA512 
f7cd5cb67a813c0e5f736502027b29a59b86a62bbf845834e5fb66e36132ed7b8019ed2819f6a0ab4f6ed4931a1fa37a78b25871c88e60cf2a379586d3e17e36
 WHIRLPOOL 
dfa3ad96977023dc7cbf521ec7de243f604b52f8f67c1b41d39e2ea3f5c8840089b628c512ebd796b8442c4c5d12c5f9a466c13c2dc02ec4d2234ce4527c3c2b
 DIST pkg-config-1.2.3.gem 19968 SHA256 
bc193fda2ceb83cd0eeca87e1c9eba8e142dcd785699205246e28b1a7f14a84a SHA512 
1e0ec12cdb9647d9d5b29c48940f15dcf27e346a18b9f33922a5b8e0a57957206981cf5c7dd70da36fdb2a32bbe8e3ac38737f66abc5f5afa8b4dabf52a696fd
 WHIRLPOOL 
7a2220cbdfddc3b93ca7f47ae4c9cd026ca6088a3dd5ee3c16bb2fd09644465d18e0def8d2e3d00e92f7f9f83aecfbfaf424c25047a2b71cedc2bc23b288a320
+DIST pkg-config-1.2.4.gem 19968 SHA256 
cf3f95210991dd3e4c54b5e41ac7b7dfaeddb5a0564e437b63a7516c01e75802 SHA512 
74abccc5b067d4b98bc1aa20eaf990f1e31f8ab9251f8081440dd2b11e9d14ffe82ccff92d0858386e11fe3ff4f8927da7ca17d382946e4b0c3dbd7a45ffae24
 WHIRLPOOL 
afe3a26ec7579ccee57b5c1ed39505b90232bafee34d5456828f9b2c9a353c7ec85cca535a20c9f247658f612ff3aa7bc222ae7be1c23ef5bd7f997901cea2bc

diff --git a/dev-ruby/pkg-config/pkg-config-1.2.4.ebuild 
b/dev-ruby/pkg-config/pkg-config-1.2.4.ebuild
new file mode 100644
index 00000000000..4cefe1fadf7
--- /dev/null
+++ b/dev-ruby/pkg-config/pkg-config-1.2.4.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc NEWS"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A pkg-config implementation by Ruby"
+HOMEPAGE="https://github.com/rcairo/pkg-config";
+LICENSE="|| ( LGPL-2 LGPL-2.1 LGPL-3 )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
+# this is used for testing
+DEPEND+=" test? ( x11-libs/cairo )"
+
+all_ruby_prepare() {
+       # drop failing tests
+       sed -i -e "/test_cflags/,/end/d"\
+               -e "/test_cflags_only_I/,/end/d" test/test_pkg_config.rb || die
+}
+
+each_ruby_test() {
+       ruby-ng_testrb-2 -Ilib test/test_${PN/-/_}.rb || die
+}

Reply via email to